import 'package:flutter/material.dart';
import 'package:story/utils/iconCard.dart';


class LibraryPage extends StatelessWidget {
  const LibraryPage({super.key}) ;

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Page suivante'),
      ),
      body: Column(
        children: [
          Expanded(
            child: GridView.count(
              crossAxisCount: 2,
              shrinkWrap: true,
              padding: EdgeInsets.all(20),
              children: [
                IconCard(icon: Icons.home, label: 'Accueil'),
                IconCard(icon: Icons.settings, label: 'Paramètres'),
                IconCard(icon: Icons.camera, label: 'Appareil photo'),
                IconCard(icon: Icons.person, label: 'Profil'),
                 IconCard(icon: Icons.home, label: 'Accueil'),
                IconCard(icon: Icons.settings, label: 'Paramètres'),
                IconCard(icon: Icons.camera, label: 'Appareil photo'),
                IconCard(icon: Icons.person, label: 'Profil'),
                 IconCard(icon: Icons.home, label: 'Accueil'),
                IconCard(icon: Icons.settings, label: 'Paramètres'),
                IconCard(icon: Icons.camera, label: 'Appareil photo'),
                IconCard(icon: Icons.person, label: 'Profil'),
                 IconCard(icon: Icons.home, label: 'Accueil'),
                IconCard(icon: Icons.settings, label: 'Paramètres'),
                IconCard(icon: Icons.camera, label: 'Appareil photo'),
                IconCard(icon: Icons.person, label: 'Profil'),
              ],
            ),
          ),
        ],
      ),
    );
  }
}
